## org.eclipse.datatools.sqltools.sqleditor.preferences
Class ContentAssistPreference

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.preferences.ContentAssistPreference

    public class ContentAssistPreference

extends java.lang.Object

Author:
  Li Huang

Constructor Summary
`ContentAssistPreference()`

Method Summary
`static void` `changeConfiguration(org.eclipse.jface.text.contentassist.ContentAssistant assistant, org.eclipse.jface.preference.IPreferenceStore store, org.eclipse.jface.util.PropertyChangeEvent event)` Changes the configuration of the given content assistant according to the given property change event and the given preference store.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentAssistPreference

    public ContentAssistPreference()

Method Detail

### changeConfiguration

    public static void changeConfiguration(org.eclipse.jface.text.contentassist.ContentAssistant assistant,
                                           org.eclipse.jface.preference.IPreferenceStore store,
                                           org.eclipse.jface.util.PropertyChangeEvent event)

  Changes the configuration of the given content assistant according to the given property change event and the given preference store.